Bug 130568 - gpm service really confused and confusing about its configuration files
Summary: gpm service really confused and confusing about its configuration files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gpm (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-21 23:10 UTC by Michal Jaegermann
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 1.20.1-61
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 19:54:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-08-21 23:10:31 UTC
Description of problem:

'gpm' package provides a file '/etc/sysconfig/gpm' and in it
there are lines like

DEVICE="/dev/input/mice"
MOUSETYPE="exps2"

But looking closer at /etc/init.d one can find there:

[ -e /etc/sysconfig/gpm ] && . /etc/sysconfig/gpm

MOUSECFG=/etc/sysconfig/mouse
....

        if [ -f "$MOUSECFG" ]; then
                . "$MOUSECFG"
        else
                echo $"(no mouse is configured)"
                exit 0
        fi

and in $MOUSECFG, which happens to be written by system-config-mouse
things like:

MOUSETYPE="imps2"
DEVICE=/dev/input/mice

so those from /etc/sysconfig/gpm are totally ineffective and
there is not even a comment there to alert a user to this
detail if s/he would try to do any adjustments by editing that
file. Well, yes, one things remains:

# Additional options for gpm (e.g. acceleration), device
OPTIONS=""

but that is about it.

Comment 1 Eido Inoue 2004-10-20 19:54:33 UTC
there is no more gpm file now in the latest version.


Note You need to log in before you can comment on or make changes to this bug.